Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78930

Summary: Program crashes at run-time
Product: [Retired] Red Hat Linux Reporter: Need Real Name <marty>
Component: libcAssignee: Jakub Jelinek <jakub>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-10-02 21:01:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Need Real Name 2002-12-03 18:30:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
We did not encounter problems with RedHat Linux v7.2 using libc. The program 
compiles with v8.0 but crashes at runtime (segmentation violation). It crashes 
on string manipulation functions like charlen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Compile same code with v8.0
2.
3.
	

Actual Results:  Segmentation violation. Program crashes at runtime

Additional info:

Comment 1 Jakub Jelinek 2002-12-04 14:27:54 UTC
You mean strlen (there is no charlen)? Very likely a bug in your program.
Without a small testcase proving there is a bug in glibc there is nothing
we can do for you.

Comment 2 Need Real Name 2002-12-04 15:04:26 UTC
Is libc and glib the same?

Comment 3 Need Real Name 2002-12-04 15:06:28 UTC
What changed in libc between v7.2 and v8.0? We have not changed anything in our 
code. All we did was recompile with v8.0.

Comment 4 Jakub Jelinek 2002-12-04 15:11:46 UTC
glib is a different library, but glibc is GNU libc, the only libc used in
RHL since RHL 5.0.
The fact that some program worked on 7.2 and doesn't work on 8.0 doesn't automatically
mean the bug is in glibc, it is more likely just a program bug which did not manifest
on 7.2 for some reason. It can be e.g. stomping on its memory, doing double free, whatever.
You can try various memory checkers, efence, valgrind, etc. And as I said, without testcase
there is nothing that I can do.

Comment 5 Jakub Jelinek 2004-10-02 21:01:09 UTC
No testcase provided, so we can't do anything for this.